@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap');

@tailwind base;
@tailwind components;
@tailwind utilities;



html {
  font-family: 'Poppins', sans-serif !important;
  @apply
  dark:bg-slate-900
}

.glide__slides {
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  display: flex;
  flex-wrap: nowrap;
  list-style: none;
  margin: 0;
  padding: 0;
  position: relative;
  touch-action: pan-Y;
  -webkit-transform-style: preserve-3d;
  transform-style: preserve-3d;
  white-space: nowrap;
  width: 100%;
  will-change: transform;
}

.glide__slide {
  -webkit-touch-callout: none;
  -webkit-tap-highlight-color: rgba(0,0,0,0);
  flex-shrink: 0;
  height: 100%;
  white-space: normal;
  width: 100%;
}

/* padding CONTAINER */
.nc-p-l-container {
  padding-left: 16px
}

@media (min-width: 640px) {
  .nc-p-l-container {
      padding-left:calc(50vw - 304px)
  }
}

@media (min-width: 768px) {
  .nc-p-l-container {
      padding-left:calc(50vw - 368px)
  }
}

@media (min-width: 1024px) {
  .nc-p-l-container {
      padding-left:calc(50vw - 496px)
  }
}

@media (min-width: 1280px) {
  .nc-p-l-container {
      padding-left:calc(50vw - 600px)
  }
}

@media (min-width: 1536px) {
  .nc-p-l-container {
      padding-left:calc(50vw - 640px)
  }
}

.nc-p-r-container {
  padding-right: 16px
}

@media (min-width: 640px) {
  .nc-p-r-container {
      padding-right:calc(50vw - 304px)
  }
}

@media (min-width: 768px) {
  .nc-p-r-container {
      padding-right:calc(50vw - 368px)
  }
}

@media (min-width: 1024px) {
  .nc-p-r-container {
      padding-right:calc(50vw - 496px)
  }
}

@media (min-width: 1280px) {
  .nc-p-r-container {
      padding-right:calc(50vw - 600px)
  }
}

@media (min-width: 1536px) {
  .nc-p-r-container {
      padding-right:calc(50vw - 640px)
  }
}

/* CONTAINER */
.container {
  margin-left: auto;
  margin-right: auto;
  padding-left: 1rem;
  padding-right: 1rem;
  width: 100%
}

@media (min-width: 640px) {
  .container {
      max-width:640px
  }
}

@media (min-width: 768px) {
  .container {
      max-width:768px
  }
}

@media (min-width: 1024px) {
  .container {
      max-width:1024px
  }
}

@media (min-width: 1280px) {
  .container {
      max-width:1280px;
      padding-left: 40px;
      padding-right: 40px
  }
}

@media (min-width: 1536px) {
  .container {
      max-width:1536px;
      padding-left: 128px;
      padding-right: 128px
  }
}

/* SECTION HERO ANIMATION */

@keyframes SectionHero2ItemLeft {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
@keyframes SectionHero2ItemDot {
  from {
    width: 30px;
    opacity: 0;
  }
  to {
    width: 80px;
    opacity: 1;
  }
}

/* == */

.nc-SectionHero2Item--animation .nc-SectionHero2Item__dot {
  animation-name: SectionHero2ItemDot;
  animation-duration: 150ms;
  animation-timing-function: linear;
}

.nc-SectionHero2Item--animation .nc-SectionHero2Item__image {
  animation-name: CardLarge1ExampleRight;
  animation-duration: 650ms;
  animation-timing-function: ease-in-out;
}

.nc-SectionHero2Item--animation .nc-SectionHero2Item__left {
  animation-name: SectionHero2ItemLeft;
  animation-duration: 600ms;
  animation-timing-function: ease-in-out;
}

.nc-SectionHero2Item--animation .nc-SectionHero2Item__button {
  animation-name: CardLarge1ExampleLeft;
  animation-duration: 800ms;
  animation-timing-function: ease-in-out;
}
.nc-SectionHero2Item--animation .nc-SectionHero2Item__heading {
  animation-name: CardLarge1ExampleLeft;
  animation-duration: 600ms;
  animation-timing-function: ease-in-out;
}
.nc-SectionHero2Item--animation .nc-SectionHero2Item__subheading {
  animation-name: CardLarge1ExampleLeft;
  animation-timing-function: ease-in-out;
  animation-duration: 400ms;
}
